import { MongoClient, Document } from "mongodb";

var client: MongoClient | undefined;

export async function connectDatabase() {
  client = new MongoClient(process.env.MONGODB_URI!);
  await client.connect();
}

export function collection<T extends Document>(name: string) {
  return client!.db("authifier").collection<T>(name);
}
