# Authifier Shield Source Release

This is the current version of Shield deployed to production but stripped of any valuable information for people wanting to bypass the anti-spam.

As you might notice, large chunks of code are missing and as a result, this is basically in an unusable state.

I am hoping to write a new version of Shield in the future that allows rules to be created and used in a modular fashion hence allowing the use of Shield by other people.

## Technical Overview

In effect, this is a very small project, it is an Express server that:

- Listens for calls from the Revolt backend with information about registration requests.
- Runs through a bunch of resolution and filtering rules to see whether the request needs to be blocked.
- Logs the request information to the database for further analysis. (❗ this information is stored temporarily)

The reasoning for having a separate project is:

- Faster iteration of rules during active attacks against the platform.
- Deployment takes a couple of seconds from source change.
- JavaScript provides a lot of flexibility for writing rules.
