import { ResolvedInformation, ValidationInput } from "../types.js";

// -SNIP PUBLIC RELEASE-

/**
 * Resolve information about the request
 * @param input Input data
 * @returns Resolved information
 */
export async function resolveInformation(
  input: ValidationInput
): Promise<ResolvedInformation> {
  // -SNIP PUBLIC RELEASE-

  const normalised_headers: Record<string, string> = {};
  if (input.headers) {
    for (const key of Object.keys(input.headers)) {
      normalised_headers[key.toLowerCase()] = input.headers[key];
    }
  }

  // -SNIP PUBLIC RELEASE-

  return {
    // -SNIP PUBLIC RELEASE-
  };
}
